/*=====================================================
  Sticky footer styles
=====================================================*/
html, body {
    height: 100%;
    /* The html and body elements cannot have any padding or margin. */
}

/* Wrapper for page content to push down footer */
#wrap {
    min-height: 100%;
    height: auto;
    /* Negative indent footer by its height */
    margin: 0 auto -60px;
    /* Pad bottom by footer height */
    padding: 0 0 60px;
}

/* Set the fixed height of the footer here */
#footer {
    height: 60px;
    background-color: #f5f5f5;
}
div.banner {
    background-color: #D8D8D8;
    text-align: center;
}


/*=====================================================
  UI Bootstrap (AngularJS Module) Required CSS
  According To Their Installation Instructions
=====================================================*/
.nav, .pagination, .carousel, .panel-title a {
    cursor: pointer;
}


/*=====================================================
  Container
=====================================================*/
#wrap > .container {
    padding: 60px 15px 0;
}

.container-fluid .text-muted {
    margin: 20px 0;
}


/*=====================================================
  Bootstrap and UI Bootstrap Style Overrides
=====================================================*/
.navbar {
    background-color: white;
    border-bottom: 1px solid #d3d7db;
}

.form-control[disabled],
.form-control[readonly],
fieldset[disabled] .form-control {
    cursor: default;
}

.popover {
    max-width: 300px;
}


/*=====================================================
  Design Firm Overrides
=====================================================*/

.logopanel {
    padding: 10px;
}

.logopanel h1 {
    font-size: 30px;
    font-family: 'Lucida Grande', 'Lucida Sans Unicode', Helvetica, sans-serif;
    letter-spacing: -1.5px;
    color: #1d2939;
    line-height: 30px;
    margin: 0;
}

.logopanel a, .logopanel a:hover {
    color: #1d2939;
    text-decoration: none;
}

.logopanel h1 span {
    color: #428bca;
}

.content-panel-wrapper {
    padding-top: 50px;
    margin-bottom: 20px;
}

/*=====================================================
  File Upload and Progress Bar
=====================================================*/
/*
 * File Upload - Styles the file input selector.
 * Instructions: http://geniuscarrier.com/how-to-style-a-html-file-upload-button-in-pure-css/
 */
.fileSelectButton {
    position: relative;
    overflow: hidden;
    margin: 0;
}

.fileSelectButton input.fileInput {
    position: absolute;
    top: 0;
    right: 0;
    margin: 0;
    padding: 0;
    font-size: 50px;
    cursor: pointer;
    opacity: 0;
    filter: alpha(opacity=0);
}


/*=====================================================
  Other Styling
=====================================================*/
#global-error-message {
    position: fixed;
    /* The top navbar has a z-index of 1030, so this had to be higher than that. */
    z-index: 1500;
    top: 65px;
    /* Center the element */
    left: 0;
    right: 0;
    margin-left: auto;
    margin-right: auto;
    /* Dimensions */
    width: 85%;
}

#global-error-message #generic-message {
    font-size: 1.2em;
}

#global-error-message #timer-status {
    font-size: 0.8em;
}

.dropdown-menu {
    text-align: left;
}

.dropdown-menu > li > a > span {
    margin-right: .5em;
}

.modal-list-item {
    padding: 5px;
}

.table-valign-middle > tbody > tr > td {
    vertical-align: middle;
}

.table-nofluid {
    width: auto;
}

.table-borderless > thead > tr > th, .table-borderless > tbody > tr > td {
    border-top: none;
}

.table-nomargin {
    margin-bottom: 0;
}

.selectable-table-row {
    cursor: pointer;
}

.fade-linear {
    overflow: hidden;
}

.fade-linear.ng-hide-add,
.fade-linear.ng-hide-remove {
    transition: all .25s linear;
    -webkit-transition: all .25s linear;
    display: block!important;
}

.fade-linear.ng-hide-add,
.fade-linear.ng-hide-remove.ng-hide-remove-active {
    opacity: 1;
}

.fade-linear.ng-hide-remove,
.fade-linear.ng-hide-add.ng-hide-add-active {
    opacity: 0;
}

.alert-btn-height {
    text-align: center;
    margin-bottom: 0;
    padding: 6px 12px;  /* Same padding as a regular bootstrap button */
}

.form-submission-group > .form-submission-btn-group {
    float: left;
}

.form-submission-group > .alert-wrapper {
    padding-left: 10px;
}

.form-submission-group:after {
    clear: both;
    content: "";
    display: block;
}

.modal-header {
    background-color: #f0f0f0;
}

.modal-footer {
    margin-top: 0;
    background-color: #f0f0f0;
}

.modal-footer > .form-submission-btn-group {
    float: right;
}

.modal-footer > .alert-wrapper {
    padding-right: 10px;
}

.icon-status {
    font-size: 1.5em;
}

.icon-status-error {
    color: #c4322e; /* Red that attempts to match the color of the file delete button which is red gradient button */
}

.icon-status-info {
    color: #a9a9a9; /* Dark gray */
}

.glyphicon-upload + .badge {
    vertical-align: 45%;
}

.hidden {
    visibility: hidden;
}

.remove-party-icon {
    margin-left: 1em;
    font-size: 150%;
    color: #a9a9a9; /* Dark gray */
}


/*=====================================================
  Attorney Information Card
=====================================================*/
.attorney-card {
    display: inline-block;
    vertical-align: top;
    margin: 0 1em 1em 0;
}

.attorney-card .panel-heading {
    /* Position set to 'relative' so the button group inside the card can be absolutely position within this relative container */
    position: relative;
}

.attorney-card .btn-group {
    position: absolute;
    right: 1em;
    top: .7em;
}

.attorney-card > .panel {
    margin: 0;
}

.attorney-card .badge {
    margin: 0 2.75em 0 .5em;
    border-radius: 2px;
}

.attorney-card .panel-body {
    white-space: nowrap;
    overflow-x: auto;
    height: 8em;
}

.attorney-card-title {
    color: #757575;
    font-weight: bold;
}

#attorney-autofill-button-group > .popover > .popover-inner > .popover-content {
    width: 300px;
}

.attorney-autofill-popover {
    font-weight: bold;
}

.headermenu {
    list-style: none;
    margin: 0;
    padding: 0;
}

.headermenu:after {
    clear: both;
    display: block;
    content: '';
}

.headermenu > li {
    display: inline-block;
    float: left;
    border-left: 1px solid #eee;
    position: relative;
}

.headermenu .dropdown-toggle {
    padding: 12px 10px;
    border-color: #fff;
    background: #fff;
    -moz-border-radius: 0;
    -webkit-border-radius: 0;
    border-radius: 0;
    border: 0;
}

.headermenu .dropdown-toggle:hover,
.headermenu .dropdown-toggle:focus,
.headermenu .dropdown-toggle:active,
.headermenu .dropdown-toggle.active,
.headermenu .open .dropdown-toggle.dropdown-toggle {
    background: #f9f9f9;
    color: #333;
    -moz-box-shadow: none;
    -webkit-box-shadow: none;
    box-shadow: none;
}

.headermenu .dropdown-toggle img {
    vertical-align: middle;
    margin-right: 5px;
    width: 26px;
    -moz-border-radius: 50px;
    -webkit-border-radius: 50px;
    border-radius: 50px;
}

.headermenu .dropdown-toggle .caret {
    margin-left: 5px;
}

.headermenu .uib-dropdown-menu {
    border: 0;
    margin-top: 0px;
    margin-right: -1px;
    -moz-border-radius: 2px 0 2px 2px;
    -webkit-border-radius: 2px 0 2px 2px;
    border-radius: 2px 0 2px 2px;
    -moz-box-shadow: 3px 3px 0 rgba(12,12,12,0.05);
    -webkit-box-shadow: 3px 3px 0 rgba(12,12,12,0.05);
    box-shadow: 3px 3px 0 rgba(12,12,12,0.05);
    padding: 5px;
}

.headermenu .uib-dropdown-menu:after {
    border-bottom: 6px solid #1d2939;
    border-left: 6px solid transparent;
    border-right: 6px solid transparent;
    content: "";
    display: inline-block;
    right: 17px;
    position: absolute;
    top: -6px;
}

.headermenu .dropdown-grid .grid-list {
    padding: 20px;
}

.headermenu .uib-dropdown-menu li {
    display: block;
    margin: 0;
    float: none;
    background: none;
    padding: 2px;
}

.headermenu .uib-dropdown-menu-usermenu li {
    padding: 0;
}

.headermenu .uib-dropdown-menu-usermenu:after {
    right: 95px;
}

.headermenu .uib-dropdown-menu li a {
    color: #94989d;
    font-size: 13px;
    padding: 7px 10px;
    -moz-border-radius: 2px;
    -webkit-border-radius: 2px;
    border-radius: 2px;
    -moz-transition: all 0.2s ease-out 0s;
    -webkit-transition: all 0.2s ease-out 0s;
    transition: all 0.2s ease-out 0s;
}

.headermenu .uib-dropdown-menu li a:hover {
    background: #428bca;
    color: #fff;
}

.headermenu .uib-dropdown-menu li i {
    font-size: 11px;
    margin-right: 5px;
}

.headermenu .dropdown-menu-head {
    padding: 0;
    min-width: 300px;
}

.headermenu .tp-icon {
    padding: 12px 15px;
    height: 50px;
    font-size: 16px;
    background: #fff;
    color: #333;
    border-color: #fff;
    -moz-transition: all 0.2s ease-out 0s;
    -webkit-transition: all 0.2s ease-out 0s;
    transition: all 0.2s ease-out 0s;
}

.headermenu .tp-icon + .uib-dropdown-menu:after {
    right: 17px;
}

.headermenu .chat-icon {
    border-right: 0;
}

.headermenu .dropdown-menu-usermenu {
    background: #1d2939;
    min-width: 200px;
}

.headermenu .dropdown-menu-head ul {
    border: 1px solid #ddd;
    border-top: 0;
    padding: 0 10px;
}

.headermenu .dropdown-menu-head li a {
    color: #333;
    padding: 0;
    opacity: 1;
}

.headermenu .dropdown-menu-head li a:hover {
    background: none;
    color: #428BCA;
    text-decoration: none;
}

.headermenu .btn-group {
    margin-bottom: 0;
}

.dropdown-list li {
    padding: 15px;
    overflow: hidden;
    border-bottom: 1px solid #eee;
}

.dropdown-list li:last-child {
    border-bottom: 0;
}

.dropdown-list .thumb {
    width: 36px;
    float: left;
}

.dropdown-list .thumb img {
    width: 100%;
    display: block;
    vertical-align: middle;
}

.dropdown-list .desc {
    margin-left: 45px;
    display: block;
}

.dropdown-list .desc h5 {
    font-size: 13px;
    margin-top: 7px;
}

.dropdown-list li:last-child {
    padding: 7px 5px;
}

.dropdown-list li .badge {
    float: right;
}

.navbar-header a {
    color: black;
}
.navbar-header a:hover {
    text-decoration: none;
}
.navbar-header a:focus {
    text-decoration: none;
}

.nav-tabs.nav-justified > li > a {
    border-bottom: 0;
}

.nav .uib-dropdown-menu {
    margin-top: -2px;
}

.nav .dropdown .caret {
    border-top-color: #666;
}

.nav-tabs.nav-justified > .active > a,
.nav-tabs.nav-justified > .active > a:hover,
.nav-tabs.nav-justified > .active > a:focus {
    border-color: #fff;
    border-bottom-color: #fcfcfc;
}

.nav-tabs.nav-justified > .active > a,
.nav-tabs.nav-justified > .active > a:hover,
.nav-tabs.nav-justified > .active > a:focus {
    border: 0;
}

.nav .open > a,
.nav .open > a:hover,
.nav .open > a:focus {
    border: 0;
    background: none;
    color: #333;
}
